
Base Language - Bug #2291

Could not resolve closest legacy method for function returning an extent

04/24/2014 02:10 PM - Hynek Cihlar

Status: Closed Start date: 04/24/2014

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to Base Language - Bug #2133: fix precision for decimal, dynamic-exte... Closed 01/21/2014 01/27/2014

History

#1 - 04/24/2014 02:22 PM - Hynek Cihlar

- File ProcedureManager.java.diff added

Calling a function of extent return type is causing the error "Could not resolve closest legacy method for class XYZ".

The problem seems to be in ProcedureManager in the method resolveClosestMethod. The logic there expects a method ending with the string

"function" in its name on the Java callstack. And because it compares the strings case-sensitively it fails in case of the extent-function - in which case

there is "extentFunction" on the callstack.

I am attaching a fix which seems to work ok.

#2 - 04/24/2014 02:25 PM - Constantin Asofiei

Hynek Cihlar wrote:

I am attaching a fix which seems to work ok.

 

OK, leave only the function related change, the procedure compare can be done case-sensitively.

#3 - 04/24/2014 03:02 PM - Hynek Cihlar

- File hc_upd20140424a.zip added

Please review.
#4 - 04/24/2014 05:00 PM - Hynek Cihlar

- Status changed from New to Feedback

#5 - 04/25/2014 03:39 AM - Constantin Asofiei

The change is OK, no regression testing is required. But before releasing it, make sure the code respects the 98-chars width limit for lines. It should

look something like this:

         if (cname.equals(bmClass)&& 

             ((function && mname.toLowerCase().endsWith(funcApi)) || 

              (!function && mname.equals(procApi))))

#6 - 04/25/2014 01:12 PM - Hynek Cihlar

- File hc_upd20140425a.zip added

Attached is the final change with the fixed code formatting. Committed into bzr revision 10516. No regression test run.

#7 - 04/25/2014 01:13 PM - Hynek Cihlar

- % Done changed from 0 to 100

#8 - 04/25/2014 03:09 PM - Greg Shah

- Target version set to Milestone 11

- Status changed from Feedback to Closed

#9 - 11/16/2016 12:07 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files

ProcedureManager.java.diff 639 Bytes 04/24/2014 Hynek Cihlar

hc_upd20140424a.zip 17.3 KB 04/24/2014 Hynek Cihlar

hc_upd20140425a.zip 17.3 KB 04/25/2014 Hynek Cihlar
